import { BizDetailLayout } from '@zgfe/business-lib';
import { Tabs } from 'antd';
import React from 'react';
import OutputCreator from '../../components/output';
import TaskContext from './context';
var CdpCreateOutput = function CdpCreateOutput(props) {
  var mode = props.mode;
  var items = [{
    label: '任务详情',
    key: 'detail',
    children: /*#__PURE__*/React.createElement(OutputCreator, {
      onOk: props.onOk,
      onCancel: props.onBack
    })
  }];
  return /*#__PURE__*/React.createElement(BizDetailLayout, {
    onBack: props.onBack,
    width: "100%",
    extra: /*#__PURE__*/React.createElement(React.Fragment, null, mode === 'create' ? '新建' : '编辑', "\u6570\u636E\u8F93\u51FA")
  }, /*#__PURE__*/React.createElement(TaskContext.Provider, {
    value: {
      mode: props.mode,
      taskId: props.taskId
    }
  }, /*#__PURE__*/React.createElement(Tabs, {
    defaultActiveKey: "detail",
    items: items
  })));
};
export default CdpCreateOutput;